
QGIS Application - Bug report #18298

Filter expression on virtual layer is not saved

2018-03-01 05:46 PM - Stefan Rey

Status: Open

Priority: Normal

Assignee:

Category: Virtual Layers

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 26189

Description

If I formulate a filter query on a virtual layer, the filter is lost when I save the QGIS Project, close and reopen it again.

History

#1 - 2018-03-01 07:39 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Priority changed from High to Normal

Does it work as expected in 2.18?

#2 - 2018-03-02 08:11 AM - Stefan Rey

No, as I checked right now, it works also in 2.18 not as expected.

#3 - 2018-03-02 09:04 AM - Giovanni Manghi

- Status changed from Feedback to Open

#4 - 2019-03-09 03:12 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

#5 - 2019-03-09 03:34 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Status changed from Closed to Open
